Last Comment Bug 326716 - Remove xprint from the tree
: Remove xprint from the tree
Status: RESOLVED FIXED
:
Product: Core Graveyard
Classification: Graveyard
Component: Printing: Xprint (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: mozilla1.9alpha6
Assigned To: Mats Palmgren (vacation)
: Roland Mainz
Mentors:
Depends on:
Blocks: 218096 376791
  Show dependency treegraph
 
Reported: 2006-02-10 13:09 PST by Stuart Parmenter
Modified: 2009-11-14 16:48 PST (History)
11 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch rev. 1 (this is without removed files) (70.51 KB, patch)
2007-04-30 20:35 PDT, Mats Palmgren (vacation)
dbaron: review+
dbaron: superreview+
Details | Diff | Splinter Review
List of removed files (668 bytes, text/plain)
2007-04-30 20:36 PDT, Mats Palmgren (vacation)
dbaron: review+
dbaron: superreview+
Details

Description Stuart Parmenter 2006-02-10 13:09:16 PST
Moving forward, we're no longer going to support xprint.  We're going to do PDF and PS output through CUPS on Unix platforms.

I just disabled xprint printing in gtk builds.  I suggest that we go ahead remove the configure options and remove it from the tree.
Comment 1 Masaki Katakai 2006-02-22 07:22:10 PST
Taking. can I simply remove all xprint codes?
Comment 2 Stuart Parmenter 2007-01-10 15:48:01 PST
argh.  Don't know how I missed this comment so long ago.

We should go ahead and remove all that code.  Do you want to do it or should I?
Comment 3 Masaki Katakai 2007-01-10 17:05:30 PST
Thank you for asking Pavlov. Could you take this bug and remove all xprint codes?
Comment 4 Mats Palmgren (vacation) 2007-04-30 20:35:15 PDT
Created attachment 263324 [details] [diff] [review]
Patch rev. 1 (this is without removed files)
Comment 5 Mats Palmgren (vacation) 2007-04-30 20:36:27 PDT
Created attachment 263325 [details]
List of removed files
Comment 6 David Baron :dbaron: ⌚️UTC+2 (review requests must explain patch) 2007-04-30 22:48:13 PDT
Comment on attachment 263324 [details] [diff] [review]
Patch rev. 1 (this is without removed files)

In nsDeviceContextSpecG.cpp you're modifying a comment (detached from the code it was commenting on by the insertion of a cairo ifdef) rather than removing it.  Other than that, this looks fine, although I wouldn't be surprised if we find something else to remove later.  r+sr=dbaron

(Although for the gfx stuff vlad is probably a better reviewer...)
Comment 7 Mats Palmgren (vacation) 2007-06-13 11:46:05 PDT
Nit fixed (removed the comment).

Checked in on trunk at 2007-06-13 11:03 PDT.

-> FIXED

Note You need to log in before you can comment on or make changes to this bug.